1 Reply Latest reply on Oct 10, 2007 5:20 PM by Ron Sigal

    Exception with CompressingMarshaller

    Rudolf Kruse Newbie

      To Use the CompressingMarshaller in the JBoss AS I replaced in ejb3.deployer/WEB-INF/jboss-service.xml the line

      <attribute name="InvokerLocator">socket://${jboss.bind.address}:3873</attribute>
      


      with

      <attribute name="InvokerLocator">socket://${jboss.bind.address}:3873/?marshaller=org.jboss.remoting.marshal.compress.CompressingMarshaller&unmarshaller=org.jboss.remoting.marshal.compress.CompressingUnMarshaller</attribute>
      


      But with this setting the following exception occurs with different version numbers that can not read:

      10:43:46,934 ERROR [socket.ServerThread] failed
      java.io.IOException: Can not read data for version 72. Supported versions: 1,2,22
       at org.jboss.remoting.transport.socket.ServerThread.versionedRead(ServerThread.java:660)
       at org.jboss.remoting.transport.socket.ServerThread.processInvocation(ServerThread.java:530)
       at org.jboss.remoting.transport.socket.ServerThread.dorun(ServerThread.java:383)
       at org.jboss.remoting.transport.socket.ServerThread.run(ServerThread.java:165)
      


      The Exception appears in jboss-4.2.0.GA and in jboss-4.2.1.GA, too. The Server is used by a Application Client with contains the following JBoss Jars:

      jbosssx-client.jar
      jbossall-client.jar
      jboss-ejb3.jar
      jboss-ejb3x.jar
      jboss-aspect-library-jdk50.jar
      jboss-aop-jdk50.jar

      Are there any other configuration settings needed, possibly on client side?


      Thanks for your help!